Sphinx 1.8 and Parrot Bebop 2 not supported anymore?

Hi,

I could use Parrot-Sphinx simulator version 1.8 and Parrot Bebop 2 firmware before. However, it seems that the model dataset and the firmware cannot be accessed anymore at http://plf.parrot.com/sphinx/external_models/database.config and http://plf.parrot.com/sphinx/firmwares/ardrone3/milos_pc/latest/images. I was wondering if Parrot Bebop 2 is not supported anymore or if there is a workaround for this issue.

Best,
Navid

Here you can find the error I got today:

Parrot-Sphinx simulator version 1.8

connecting to firmwared version: 1.8
starting Telemetryd to capture true data...
I telemetryd: Creating daemon with rate 50 ms
I libtelemetry: clear logger filter
I telemetryd: Loading plugins from '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins/'
I telemetryd: Loading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-blackbox.so'
I tlmblackbox: setEnabled 1
I tlmblackbox: setCompressed 1
I tlmblackbox: setCompressionLevel 6
I tlmblackbox: setCompressionMethod zlib
I tlmblackbox: setLogDir '.'
I tlmblackbox: setLogName 'log.tlmb'
I tlmblackbox: setLogCount 4
I tlmblackbox: setFilter *
I libtelemetry: clear logger filter
I tlmblackbox: setFlushPeriod 10000 ms
I tlmblackbox: setMaxSize -1 bytes
I tlmblackbox: rotate logs: './sphinx-11345-log.tlmb.3' -> './sphinx-11345-log.tlmb.4'
I tlmblackbox: rotate logs: './sphinx-11345-log.tlmb.2' -> './sphinx-11345-log.tlmb.3'
I tlmblackbox: rotate logs: './sphinx-11345-log.tlmb.1' -> './sphinx-11345-log.tlmb.2'
I tlmblackbox: rotate logs: './sphinx-11345-log.tlmb' -> './sphinx-11345-log.tlmb.1'
I tlmblackbox: Creating file './sphinx-11345-log.tlmb'
I telemetryd: Loading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-gndctrl.so'
I telemetryd: Loading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-web-gndctrl.so'
I telemetryd: Entering loop
Gazebo multi-robot simulator, version 7.0.1
Copyright (C) 2012-2015 Open Source Robotics Foundation.
Released under the Apache 2 License.
http://gazebosim.org

[Msg] Waiting for master.
Gazebo multi-robot simulator, version 7.0.1
Copyright (C) 2012-2015 Open Source Robotics Foundation.
Released under the Apache 2 License.
http://gazebosim.org

[Msg] Waiting for master.
[Msg] Connected to gazebo master @ http://127.0.0.1:11345
[Msg] Publicized address: 127.0.0.1
[Msg] Connected to gazebo master @ http://127.0.0.1:11345
[Msg] Publicized address: 127.0.0.1
[Wrn] [ModelDatabase.cc:220] Unable to connect to model database using [http://plf.parrot.com/sphinx/external_models/database.config]. Only locally installed models will be available.
[Msg] created parameter server on http:8383
[Msg] World params for 'default':
[Msg] 	spawn_points:
[Msg] 		- name: default
[Msg] 		  pose: 0 0 0.05 0 -0 1.5708
[Wrn] [Event.cc:87] Warning: Deleteing a connection right after creation. Make sure to save the ConnectionPtr from a Connect call
[Msg] connected to firmwared
I shd: wind: created: generation=2 sample_count=4000 sample_size=24 sample_rate=1000 metadata_size=125
[Msg] Preparation of firmware http://plf.parrot.com/sphinx/firmwares/ardrone3/milos_pc/latest/images/ardrone3-milos_pc.ext2.zip
[Err] [Machine.cc:1326] Preparation of firmware for machine bebop2 failed: curl.hook/probe failed.. Check your path or URL to the firmware
[Msg] CleanupInstances
[Msg] CleanupFirmwares
I shd: wind: closed
I telemetryd: sighandler: signo=15(Terminated)
I telemetryd: Exiting loop
I tlmblackbox: Closing file './sphinx-11345-log.tlmb'
I telemetryd: Unloading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-blackbox.so'
I telemetryd: Unloading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-gndctrl.so'
I : [2022-11-11 11:05:13] [info] asio handle_accept error: asio.system:125 (Operation aborted.)
I : [2022-11-11 11:05:13] [info] Error getting remote endpoint: asio.system:9 (Bad file descriptor)
I : [2022-11-11 11:05:13] [info] asio async_shutdown error: asio.system:9 (Bad file descriptor)
I : [2022-11-11 11:05:13] [error] handle_accept error: Underlying Transport Error
I : [2022-11-11 11:05:13] [info] Stopping acceptance of new connections because the underlying transport is no longer listening.
I telemetryd: Unloading '/opt/parrot-sphinx/usr/bin/../lib/tlm-plugins//tlm-web-gndctrl.so'

Hi Navid,
I confirm that sphinx 1.8 and Bebop2 are not supported anymore.
I now need to move to the latest sphinx version along with more recent drone models.

That’s sad :frowning: Seems quite unexpected. Was there any announcement in advance by the developer team at Parrot? I didn’t know it was going to happen.